image: node:14.15.4

stages:
  - prepare
  - build
  - deploy

prepare:
  stage: prepare
  script:
    - npm install
  artifacts:
    paths:
      - node_modules/

build:
  stage: build
  script:
    - npm run build
  only:
      - master
  artifacts:
    paths:
      - build

pages:
  stage: deploy
  script:
    - mkdir -p public
    - cp -r build/* public/
    - find public
  artifacts:
    paths:
    - public
